#include "chdecl.h"
void CH_chcode_choperands_proglit_1(current, sched, cop)
#define ARGUMENTS 7
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto cb9;
    case 4: goto c10;
    case 5: goto c17;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* copy 4 3.0 */
  if((ch_returncode = (REF(3)DOT(0).tsdr->copy)(& ch_val, REF(3)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val;
  REF(4).tsdr = datarepmap[REF(3)DOT(0).tsdr->number];
/* new_record 5 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val; REF(5).tsdr = & dr_record;
/* boolean 5.0 , TRUE */
  REF(5)DOT(0).value.boolean = TRUE;
  REF(5)DOT(0).tsdr = & dr_boolean;
/* move 5.1 3.3 */
  (*(REF(5)DOT(1).tsdr)->finalize)(REF(5)DOT(1).value,F_DISCARD,sched);
  REF(5)DOT(1) = REF(3)DOT(3);
  REF(3)DOT(3).tsdr = & dr_bottom;
/* unite 6 5 , 1 */
  if ((ch_returncode = che_unite(DEF(6),DEF(5),sched,1)) != Normal)
     goto ch_raise_exception;
  current->ip = 3;
cb9:
/* call 3.2 4 3.1 3.2 6 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(4),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(3)DOT(2),
          arguments[4] = DEF(6),
          arguments[4+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c10:
/* reveal 6 , 1 */
  if (1 != REF(6).value.variant->info.variant_case) goto ch_case_error;
/* dissolve 5 6 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5) = REF(6).value.variant->data[VARIANT_COMPONENT];
  { freedotmain(REF(6).value.variant, VARIANT_SIZE); }
  REF(6).tsdr = & dr_bottom;
/* move 3.3 5.1 */
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(3) = REF(5)DOT(1);
  REF(5)DOT(1).tsdr = & dr_bottom;
/* move 3.4 5.0 */
  REF(3)DOT(4) = REF(5)DOT(0);
  REF(5)DOT(0).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c17:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
